Go Down

Topic: OpenWrt Chaos Calmer is final (Read 17939 times) previous topic - next topic

RedSnake64

@zerox12
Short info about the issues.

1. fixed
2. fixed
3. You have to install python 3.4 via opkg  :)
4. fixed
5. fixed
6. I'm testing python 3.5 in the next days

New images coming soon! (Take some time to build :D )

@mart256
If you install the image via webpanel (sysupgrade) make sure you don't use the "Keep settings" function! (untick it! - This is important)
In the current config you reach the webpanel at 192.168.1.1 - This will be changed in the next image to the default Arduino Yun IP.


Have fun! :)

mart256

#16
Oct 14, 2015, 12:55 am Last Edit: Oct 14, 2015, 12:57 am by mart256
Hey, good to know you fixed all that. Does python3.4 fit in yun's flash? Ive got like 4mb free, I know i can use sd to expand, but I like  having the packages on board.

RedSnake64

New images are online! ;)
(https://github.com/RedSnake64/openwrt-yun/releases/tag/ChaosCalmer_v1.1)

@mart256
The python3 packages have a size of 5mb.
You can try to install only required packages.

Have fun! :)

RedSnake64

#18
Nov 01, 2015, 07:22 pm Last Edit: Nov 01, 2015, 07:29 pm by RedSnake64
Version 1.2 is online! ;)
(https://github.com/RedSnake64/openwrt-yun/releases/tag/ChaosCalmer_v1.2)

@zerox12
I've written a small script to install pip:
(Expand your memory first)

Code: [Select]
cd /tmp
wget http://download.rsdev.16mb.com/OpenWrt/Scripts/installPIP.sh
chmod +x ./installPIP.sh
./installPIP.sh


Suggestions are welcome!

Have fun! :)

mridolfi

#19
Nov 25, 2015, 05:35 pm Last Edit: Nov 25, 2015, 05:36 pm by mridolfi
I was wondering if with this update, the Yun supports the 802.11r protocol to enable the Fast BSS Transition which requires the latest version of OpenWrt.

RedSnake64


mridolfi

Don't know if I am doing it correctly but I get this:

Code: [Select]
Configuration file: hostapd.conf
Line 91: unknown configuration item 'ieee80211r'
Line 92: unknown configuration item 'nasid'
2 errors found in configuration file 'hostapd.conf'
Failed to set up interface with hostapd.conf
Failed to initialize interface

RedSnake64

Unfortunately I've no experience with 802.11r.
Please post your config changes.

jessemonroy650

#23
Nov 28, 2015, 10:09 am Last Edit: Nov 28, 2015, 10:10 am by jessemonroy650
Don't know if I am doing it correctly but I get this:

Code: [Select]
Configuration file: hostapd.conf
Line 91: unknown configuration item 'ieee80211r'
Line 92: unknown configuration item 'nasid'
2 errors found in configuration file 'hostapd.conf'
Failed to set up interface with hostapd.conf
Failed to initialize interface

@mridolfi

according to the OpenWRT commit, the change was available on 2015-03-27.  This was far too late for the standard Yun. It might be on the Yun Mini.



Jesse

RedSnake64

@ mridolfi: The settings must be defined in the 'wireless' config (/etc/config/wireless) under the 'wifi-iface' section. For example:

Code: [Select]

config wifi-device 'radio0'
...
config wifi-iface
...
   option ieee80211r '1'
   option nasid 'xyz'
...


@ Jesse: With the new ChaosCalmer Image for Arduino Yun it should work ;)

jessemonroy650

::::SNIP::::

@ Jesse: With the new ChaosCalmer Image for Arduino Yun it should work ;)

@RedSnake64,

It might work. As I've read the spec on this, it appears it is just a software tweak. However, Atheros has not been the same since Qualcomm bought it. I personally know three (3) Open Source Wifi engineers that walked out on Atheros when they were unwilling to meet their previous commitments.

We'll see how this works out.

Jesse

mridolfi

I tried with this configuration but there's no sign of the "Roam" nework

Code: [Select]
config wifi-device 'radio0'
option type 'mac80211'
option channel '11'
option path 'platform/ar933x_wmac'
option htmode 'HT20'
list ht_capab 'SHORT-GI-20'
list ht_capab 'SHORT-GI-40'
list ht_capab 'RX-STBC1'
list ht_capab 'DSSS_CCK-40'
option country 'US'
option hwmode '11g'
option txpower '16'
option disabled '0'

config wifi-iface
option network 'lan'
option device 'radio0'
option key 'xxxxxxxxxx'
option encryption 'psk'
option ssid 'Roam'
option mode 'ap'
option ieee80211r '1'
option nasid '12345678'

mridolfi

Hello,

I have a problem, I need to install a package but I don't now how to install "make". Where can I find it?

Code: [Select]
Unknown package 'make'.
Collected errors:
 * opkg_install_cmd: Cannot install package make.


Even if I try with ./configure I get this

Code: [Select]
-ash: ./configure: not found

RedSnake64

Hi mridolfi,

Which program do you need?

mridolfi

The last Batman-adv version, i.e. Batman-adv-2015.2

Go Up